Holger's Java API

## com.antelmann
Class LicenseKey

    java.lang.Object
      com.antelmann.LicenseKey

All Implemented Interfaces:
  Serializable

    public abstract class LicenseKey

extends Object
implements Serializable

provides individual license keys for a license. This class may be subclassed to individualize the license key mechanism.

Author:
  Holger Antelmann
See Also:
  `License`, Serialized Form

Constructor Summary
`protected` `LicenseKey()`

Method Summary
`protected abstract void` `checkKey(License license)` this method is responsible for checking the license key.
`byte[]` `verification()` must use a stable (serializable) return value and should be overwritten when subclassed to increase security, as it is used for the verification with the license.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LicenseKey

    protected LicenseKey()

Method Detail

### verification

    public byte[] verification()

  must use a stable (serializable) return value and should be overwritten when subclassed to increase security, as it is used for the verification with the license.

### checkKey

    protected abstract void checkKey(License license)
                              throws LicenseKeyException

  this method is responsible for checking the license key.

  Throws:
    `LicenseKeyException` - if the key is invalid or could not be obtained

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads